Loading...
Searching...
No Matches
pcl::device::OctreeImpl::OctreeDataHost Struct Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/octree/src/internal.hpp>`

## Public Attributes

std::vector< int > | nodes
std::vector< int > | codes
std::vector< int > | begs
std::vector< int > | ends
std::vector< int > | indices
std::vector< float > | points_sorted
int | points_sorted_step
int | downloaded

## Detailed Description

Definition at line 116 of file internal.hpp.

## Member Data Documentation

## begs

std::vector<int> pcl::device::OctreeImpl::OctreeDataHost::begs

Definition at line 121 of file internal.hpp.

## codes

std::vector<int> pcl::device::OctreeImpl::OctreeDataHost::codes

Definition at line 119 of file internal.hpp.

## downloaded

int pcl::device::OctreeImpl::OctreeDataHost::downloaded

Definition at line 130 of file internal.hpp.

## ends

std::vector<int> pcl::device::OctreeImpl::OctreeDataHost::ends

Definition at line 122 of file internal.hpp.

## indices

std::vector<int> pcl::device::OctreeImpl::OctreeDataHost::indices

Definition at line 125 of file internal.hpp.

## nodes

std::vector<int> pcl::device::OctreeImpl::OctreeDataHost::nodes

Definition at line 118 of file internal.hpp.

## points_sorted

std::vector<float> pcl::device::OctreeImpl::OctreeDataHost::points_sorted

Definition at line 127 of file internal.hpp.

## points_sorted_step

int pcl::device::OctreeImpl::OctreeDataHost::points_sorted_step

Definition at line 128 of file internal.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/octree/src/internal.hpp